Subject: Re: [PATCH net-next 1/2] net/mlx4_core: Deprecate use_prio module parameter

From: Amir Vadai <[email-masked]>
Date: Thu, 22 May 2014 15:59:28 +0300

On 5/21/2014 10:49 PM, David Miller wrote:
> From: Amir Vadai <[email-masked]>
> Date: Mon, 19 May 2014 11:37:41 +0300
>
>> It was used for steering by user priority for A0 steering. A0 mode is
>> not supported anymore. Printing a message and ignoring the parameter.
>>
>> CC: Carol Soto <[email-masked]>
>> Signed-off-by: Amir Vadai <[email-masked]>
>
> So you completely took away a feature that was publicly exposed and
> available to the user?
>
> Sorry this is still not acceptable, you have to bring back A0
> steering, what if someone was using it?
>
> I sense you really don't care, and that I find really disturbing.
>

My description wasn't accurate. I resubmitted the patch set with a 
better explanation about the purpose of this module param, and why we 
don't expect that anything will break for anyone because we deprecated it.

Amir